de.vc.jfo.rtf.listeners

## Class SimpleDataSource.ActionDescriptor

- java.lang.Object
- - de.vc.jfo.rtf.listeners.SimpleDataSource.ActionDescriptor

- Enclosing class:
    SimpleDataSource

      protected class SimpleDataSource.ActionDescriptor
      extends java.lang.Object

  Field actions are used to execute context related actions. Currently following actions are possible:
  - Wrap a fo:list-row into a XML-node.
  - Wrap a fo:list-item into a XML-node.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `WRAP_LIST_ITEM`
    `static int` | `WRAP_TABLE_ROW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAction()` Gets the type of this action.
    `java.lang.Object` | `getActionObject()` Gets the action object that depends on type of this action.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WRAP_TABLE_ROW

          public static final int WRAP_TABLE_ROW

      See Also:
        Constant Field Values

    - #### WRAP_LIST_ITEM

          public static final int WRAP_LIST_ITEM

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getActionObject

          public java.lang.Object getActionObject()

      Gets the action object that depends on type of this action.
      - WRAP_TABLE_ROW
      Object is a de.vc.xml.Node.
      - WRAP_LIST_ITEM
      Object is a de.vc.xml.Node.
      Returns:
        Object

    - #### getAction

          public int getAction()

      Gets the type of this action. This is one of these values:
      - WRAP_TABLE_ROW
      to wrap a fo:table-row node in another node.
      - WRAP_LIST_ITEM
      to wrap a fo:list-item node in another node.
      Returns:
        Type of action.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.